// @charset "utf-8"
/**
 * @author:hexiao
 * @判断用户是否登录，如果登录则返回用户名或者1，否则就返回0
 */
 function getAccount()
 {
 	var arrcookie = document.cookie;
 	var account;
 	if(arrcookie.length!=0){
 		var arr=arrcookie.split(";");
 		for(var i = 0;i<arr.length;i++){
 			var arrarray = arr[i].split("=");
 			if(arrarray[0].trim()=="escapename"){
 				account = unescape(unescape(arrarray[1]));
 			}
 		}
 	}
 	if(account == '' || account == null  || account.substr(0,3) == 'mt_'){
 		if(getUaUserid()<=0||getUaUserid()==undefined){//用户未登录
 			account=0;
 		}else{
 			account=1;
 		}
 	}
 	return account;
 }
/**
 *@author:hexiao
 *获取用户id 
 */
 function getUserid()
 {
 	var arrcookie = document.cookie;
 	var userid = 0;
 	if(arrcookie.length!=0){
 		var arr=arrcookie.split(";");
 		for(var i = 0;i<arr.length;i++){
 			var arrarray = arr[i].split("=");
 			if(arrarray[0].trim()=="userid")
 			{
 				userid = arrarray[1];   
 			}

 		}
 	}
 	if(userid == 0 && getUaUserid()>0){
 		userid =  getUaUserid();
 	}
 	return userid;
 }

/**
 * @author:hexiao
 * @获取用户使用的版本平台信息
 * @目前只支持iphone、gphone。
 */
function getPlatform()
{
	var browser={
            versions:function(){
                var u = navigator.userAgent, app = navigator.appVersion;
                return {
                    iPhone: u.indexOf('iPhone') > -1 || u.indexOf('Mac') > -1,
                    iPad: u.indexOf('iPad') > -1
                    };
                }(),
                language:(navigator.browserLanguage || navigator.language).toLowerCase()
    }
    if(browser.versions.iPhone)
    {
        	var platform = "iphone";
    }else{
        	var platform = "gphone";
        }
    return platform;
}

/**
 * @autor:hexiao
 * 获取网页分渠道时的渠道id
 */
function getSource()
{
	var query = window.location.search;//获取字符
	var param = "source";
	var iLen = param.length;//获取你的参数名称长度
	var iStart = query.indexOf(param);
	var source;
	var pos;
	if (iStart == -1)//表示没有改参数  
	{
		source = "nosource";
	}else{
		source = query.substr(iStart+7, query.length);
		pos = source.indexOf('&');
		if(pos != -1) {
			source = source.substr(0, pos);
		}		 
	}
	return source;
}

/**
 * @author:hexiao
 * 获取渠道
 */

function getParaByName(name)
{
	var query = window.location.search;//获取字符
	var param = name;
	var iLen = param.length;//获取你的参数名称长度
	var iStart = query.indexOf(param);
	var source;
	var pos;
	if (iStart == -1)//表示没有改参数  
	{
		source = "0";
	}else{
		source = query.substr(iStart+iLen+1, query.length);
		pos = source.indexOf('&');
		if(pos != -1) {
			source = source.substr(0, pos);
		}		 
	}
	return source;
}

//获取黑白底
function getCssStyleFromUseragent()
{
	 var u = navigator.userAgent,
	 flag = "white";
	 if(u.indexOf("hxtheme") > -1){
		 var hxtheme = u.substr(u.indexOf("hxtheme"),9);
		 if(hxtheme.substr(hxtheme.indexOf("/")+1,1) == 0)
		 {
			    //白色的底
		 		flag = "white";
		 }else{
			    //黑色的底 
		 		flag = "black";	
		 }
	}
	return flag;
}

function notifyClient(action,paramlist)
{
	var requestHeader = "";
	if(getPlatform() == "gphone"){
		requestHeader = "client://client.html?action="+action+"^"+paramlist;
	}else{
		requestHeader = "client.html?action="+action+"^"+paramlist;
	}
	var img = new Image();
	img.src = requestHeader;
}



function shareEvent(obj){
	if( typeof(obj) == 'string' ){
		
	}
	else if( typeof(obj) == 'object' ){
		if( obj['code'] != 0 ){
			return false;
		}
		if( !obj['data'] ){
			return false;
		}
		if( !obj['data']['url'] ){
			obj['data']['url'] = window.location.href;
		}
		if( getUserid() ){
			if ( obj['data']['url'].indexOf('?') == -1 )//表示没有改参数  
			{
				obj['data']['url'] += '?client_userid=' + getUserid();
			}else{
				obj['data']['url'] += '&client_userid=' + getUserid();
			}
		}
		obj = JSON.stringify(obj['data']);
	}
	else{
		return false;
	}
	
	window.WebViewJavascriptBridge.callHandler(
		"hexinShare",
		obj,
		function(data){
			//alert(data);
		}
	);
}


function share(id){
     var paramlist = "id=mobile_share_"+id+"&ld=mobile&client_userid="+getUserid()+"&platform="+getPlatform();
     notifyClient("idcount",paramlist);
	
     var JSONP=document.createElement("script");  
    JSONP.type="text/javascript";  
    JSONP.src="//ozone.10jqka.com.cn/doubleone/interface/getShareInfo.php?callback=shareEvent&id="+id; 
    document.getElementsByTagName("head")[0].appendChild(JSONP);  
}

function getAppVersion()
{
	var u = navigator.userAgent;
	var gphoneIndex = u.indexOf("Hexin_Gphone");
	var iphoneIndex = u.indexOf("IHexin");
	if ( gphoneIndex > -1 ){
		var str = u.substr( gphoneIndex + 13 );
	}
	else if( iphoneIndex > -1 ){
		var str = u.substr( iphoneIndex + 7 );
	}
	else{
		return false;
	}
	var str = str.split(" ");
	return str[0];
}


/**
 * @userid存在有两种情况，一种是userid为空（等于0），或者小于0（用户未登录），一种是返回真实userid(大于0);
 * @目前只支持iphone、gphone。
 */

 function getUaUserid()
 {
 	var u = navigator.userAgent;
 	var userIndex = u.indexOf("userid");
 	if(userIndex > -1){
 		var str = u.substr(userIndex+7);
 		str = str.split(" ");
 		return str[0];
 	}
 	return;
 }
 
 
 
 
 
 
 
 
 
 
 
 
 
 /**
 * @author  meiliujun <meiliujun@myhexin.com>
 * @date    14-7-21
 * @desc    根据对象(数组)转化成 http get形式的字符串。
 * @eg      http_build_query({a:1,b:2}); 
 */
function http_build_query(obj, father){
	var str = '';
	if( typeof obj === 'object' ){
		var param = '';
		for(var i in obj){
			if( father ){
				param = father+'['+i+']';
			}
			else{
				param = i;
			}
			str += http_build_query(obj[i], param);
		}
		return father ? str : str.substr(0,str.length-1);
	}
	else if( typeof obj === 'number' ||  typeof obj === 'string' ){
		if( father ){
			return encodeURIComponent(father)+'='+encodeURIComponent(obj)+'&';
		}
		else{
			return encodeURIComponent(obj);
		}
	}
	else{
		return '';
	}
}
 



 //temp
 var u = navigator.userAgent;
 if (u.indexOf('Linux') >= -1 || u.indexOf('Android') >= -1) {
     var n = u.indexOf('Android');
     var version = u.substring(n + 8, n + 9);
     if (n < 4) {
         setTimeout(function() {
             var tableEls = document.querySelectorAll('.swipe-table');
             for(var i = 0; i < tableEls.length; i++) {
                 tableEls[i].style.overflow = 'auto';
                 tableEls[i].style.overflowY = 'auto';
                 tableEls[i].style.overflowX = 'auto';
                 tableEls[i].querySelector('table').style.width = '100%';
             }
         }, 0)
     }
 }
 
 
 
 

